Bug 19042 - Why multiple is left out of URL/Telephone? Text/Search do not need multiple but URL and Telephone can really use the multiple attribute.
Why multiple is left out of URL/Telephone? Text/Search do not need multiple b...
Status: RESOLVED LATER
Product: HTML WG
Classification: Unclassified
Component: HTML5 spec
unspecified
Other other
: P3 normal
: ---
Assigned To: This bug has no owner yet - up for the taking
HTML WG Bugzilla archive list
http://www.whatwg.org/specs/web-apps/...
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2012-09-25 21:58 UTC by contributor
Modified: 2012-09-25 22:27 UTC (History)
6 users (show)

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description contributor 2012-09-25 21:58:52 UTC
This was was cloned from bug 11186 as part of operation LATER convergence.
Originally filed: 2010-11-01 10:13:00 +0000

================================================================================
 #0   contributor@whatwg.org                          2010-11-01 10:13:22 +0000 
--------------------------------------------------------------------------------
Section: http://www.whatwg.org/specs/web-apps/current-work/#attr-input-required

Comment:
Why multiple is left out of URL/Telephone? Text/Search do not need multiple
but URL and Telephone can really use the multiple attribute.

Posted from: 123.49.21.247
================================================================================
 #1   Mounir Lamouri                                  2010-11-08 13:20:53 +0000 
--------------------------------------------------------------------------------
<input type='text'> could use it too for keywords list for example.
================================================================================
 #2   Riasat Al Jamil                                 2010-11-20 13:15:44 +0000 
--------------------------------------------------------------------------------
(In reply to comment #0)
> Section: http://www.whatwg.org/specs/web-apps/current-work/#attr-input-required
> 
> Comment:
> Why multiple is left out of URL/Telephone? Text/Search do not need multiple
> but URL and Telephone can really use the multiple attribute.
> 
> Posted from: 123.49.21.247
I reported the original. It seems I made a mistake.
Correct Section: http://www.whatwg.org/specs/web-apps/current-work/#attr-input-multiple

Yes, input type text can use it too for keywords/tags fields.
================================================================================
 #3   Ian 'Hixie' Hickson                             2010-12-31 07:21:13 +0000 
--------------------------------------------------------------------------------
EDITOR'S RESPONSE: This is an Editor's Response to your comment. If you are satisfied with this response, please change the state of this bug to CLOSED. If you have additional information and would like the editor to reconsider, please reopen this bug. If you would like to escalate the issue to the full HTML Working Group, please add the TrackerRequest keyword to this bug, and suggest title and text for the tracker issue; or you may create a tracker issue yourself, if you are able to do so. For more details, see this document:
   http://dev.w3.org/html5/decision-policy/decision-policy.html

Status: Partially Accepted
Change Description: none yet
Rationale: This may be a good idea, but before adding this feature we should wait to see how well type=email/multiple works. If it works well, then we should consider adding it elsewhere. If it confuses people, or if implementations end up too buggy, etc, then we should abandon the idea.
================================================================================